Skip to main content
POST
/
v1
/
users
/
me
/
guilds
/
{guild_id}
/
prefix
curl -X POST https://hapi.7331.org/v1/users/me/guilds/987654321098765432/prefix \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{"prefix": "."}'
{
  "discord_id": "987654321098765432",
  "name": "My Server",
  "prefix": ".",
  "is_whitelisted": true,
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-15T12:30:00Z"
}
Requires an active session cookie. You must be the owner of the guild.
guild_id
integer
required
Discord guild ID.
prefix
string
required
New command prefix for the guild.

Response

Returns the updated guild public profile.
curl -X POST https://hapi.7331.org/v1/users/me/guilds/987654321098765432/prefix \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{"prefix": "."}'
{
  "discord_id": "987654321098765432",
  "name": "My Server",
  "prefix": ".",
  "is_whitelisted": true,
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-15T12:30:00Z"
}